<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
                xmlns="http://www.w3.org/1999/xhtml"
                template="/plantilla-principal.xhtml"
                xmlns:pt="http://xmlns.jcp.org/jsf/passthrough"
                xmlns:jsf="http://xmlns.jcp.org/jsf"
                xmlns:h="http://xmlns.jcp.org/jsf/html"
                xmlns:f="http://xmlns.jcp.org/jsf/core">

    <ui:define name="contenido">
        <h1>Ajustes del Sistema</h1>

        <div class="ui stackable grid">
            <div class="ui fifteen wide column">
                <h:form id="form-datos">
                    <div class="ui form">
                        <div class="field">
                            <div class="ui horizontal divider">Servicios automáticos</div>
                        </div>
                        <div class="field">
                            <div class="ui checkbox">
                                <input name="chk-serv-gen-cuota" type="checkbox" jsf:value="#{ajustesManBean.servicioGenActivo}"/>
                                <label>Servicio de generación automática de cuotas el primero de cada mes</label>
                            </div>
                        </div>
                        <div class="field">
                            <div class="ui checkbox">
                                <input name="chk-serv-anul-factura" type="checkbox" jsf:value="#{ajustesManBean.servicioAnulFactActivo}"/>
                                <label>Servicio de anulación automática de facturas el último día del mes</label>
                            </div>
                        </div>
                        <h:commandLink id="btn-modif" class="ui teal button" onclick="validarCampos()" action="#{ajustesManBean.registrarPrametrodelSistema()}">
                            <i class="save icon" />
                            Guardar
                            <f:ajax execute="@form" onevent="function(data) {
                                    if (data.status == 'success') {
                                    if ($('#msg-formulario').css('display') == 'none') {
                                    $('#msg-formulario').transition('fade');
                                    }
                                    }
                                    }" render="@form" 
                                    />
                        </h:commandLink>
                    </div>
                    <div id="msg-formulario" class="ui info hidden message">
                        <i class="close icon" />
                        <div class="header">
                            Info
                        </div>
                        <h:outputText id="text-formulario" value="#{ajustesManBean.msg}"/>
                    </div>
                </h:form>
            </div>
        </div>
        <script>
            $('.message .close').on('click', function () {
                $(this).closest('.message').transition('fade');
            });

            function modificar(claveParametro) {
                $('#form-datos\\:claveparametro').val($('#col-clave-parametro-' + claveParametro).html());
                $('#form-datos\\:valorParametro').val($('#col-valor-parametro-' + claveParametro).html());
            }

            function limpiarFormulario() {
                $('#form-datos\\:claveparametro').val($().html());
                $('#form-datos\\:valorParametro').val($().html());
                $('#form-datos\\:claveparametro').focus();
            }

            function validarCampos() {
                var valor = $('#form-datos\\:valorParametro').val();
                var pardiaexo = $('#form-datos\\:parDiaExoneracion').val();
                var pardiacuoparc = $('#form-datos\\:parDiaCuotaParcial').val();


                if (valor === "") {
                    $('#valorP').addClass('error');
                } else {
                    $('#valorP').removeClass('error');
                }
                if (pardiaexo === "") {
                    $('#diaExoField').addClass('error');
                } else {
                    $('#diaExoField').removeClass('error');
                }
                if (pardiacuoparc === "") {
                    $('#diaCuotaParcial').addClass('error');
                } else {
                    $('#diaCuotaParcial').removeClass('error');
                }
            }

        </script>
    </ui:define>
</ui:composition>